How do I configure ESLint to allow fat arrow class methods

ESLint is throwing a Parsing error: Unexpected token = error when I try to lint my Es6 classes. What configuration parameter am I missing to enable fat arrow class methods in eslint? Sample...

How to do a redirect to another route with react-router?

I am trying to do A SIMPLE using react-router ( version ^1.0.3 ) to redirect to another view and I am just getting tired. import React from 'react'; import {Router, Route, Link, RouteHandler} from...

Eslint - `Parsing error: unexpected token =` error for assigned fat arrow / property initializer

I'm using an arrow function and it's complaining about a parsing error: Parsing Error: Unexpected token = However my code is valid (please tell me if i'm mistaken). Additionally, i've set the...

Prettier is not working at React project

I am migrating my airbnb eslint rules to prettier rules, but I'm having some issues. Here is my .eslintrc: { "parserOptions": { "ecmaVersion": 6 }, "env": { "browser": true, ...

ESLint shows error on class instance property initialized to arrow function

maybe similar to https://stackoverflow.com/questions/34244888/how-do-i-configure-eslint-to-allow-fat-arrow-class-methods When class method defined as arrow function Eslint highlight error 'method'...

Eslint glob (**) is not considering all directories recursively

I am using OSX, in my package.json file I have the script entry: "lint": "eslint ./src/**/*.js" However, when I run npm lint only the 1st level of directories are being considered for linting, eg....

How to fix 'Static HTML elements with event handlers require a role.'?

My reactjs styledcomponent contains this code: <a styling="link" onClick={() => this.gotoLink()}> <SomeComponent /> </a> This works fine but the eslint is complaining: Static HTML elements...

Beautify c++ files on VSCode

Context : VSCode 1.35.5 I have two projects in the workspace, one .js files and another with .cpp files. When i want to beautify a .cpp file, here is the following pop up : From File ->...

Disabling tslint for a block of code with tslint:disable does not work

I'm trying to disable TSlint (Version: typescript 3.5.2, tslint 5.18.0) for a block of code in a VueJS project but it doesn't seems to work (it still displays errors and warning for this block at...

ESLint - Configuring "no-unused-vars" for TypeScript

I use ESLint in all of my TypeScript projects with the following settings: "extends": ["airbnb", "prettier", 'plugin:vue/recommended'], "plugins": ["prettier"], "parserOptions": { ...

Sass Loader Error: Invalid options object that does not match the API schema

I'm using VueJS with the framework [VuetifyJS][1] (v2.0.19). I'm getting this error after running npm run serve: Sass Loader has been initialised using an options object that does not match the...

"parserOptions.project" has been set for @typescript-eslint/parser

I created a new React Native project with --template typescript I deleted the template directory which came as part of the boilerplate. I then proceeded to add ESLint: module.exports = { parser:...

NextJS - export is broken (no CSS, no JS)

I am using NextJS (https://nextjs.org/) Version 9.0.6. My next.config.js looks like this: /* eslint-disable */ const withLess = require("@zeit/next-less"); const lessToJS =...

Typescript build in watch mode with eslint possible?

Is there a way doing this without webpack or other bundlers? Or the only option is to use two consoles where in one you will build and in second lint?

CocoaPods could not find compatible versions for pod "React/Core"

when I start pod install the result : [!] CocoaPods could not find compatible versions for pod "React/Core": In Podfile: react-native-fetch-blob (from...

Failed to load config "react" to extend from

I am trying to create a react app without using create-react-app using the following...

Failed to build iOS project. We ran "xcodebuild" command but it exited with error code 65

I am new in react native development. I am using new MacBook Air (M1, 2020) with M1 chip. I have Installed the dependency below: Node = v14.15.3 Npm = 6.14.9 Homebrew = 2.7.0 react-native-cli:...

Netlify "build.command" failed for gatsby website

I've recently updated some plugins on my Gatsby website. It works fine locally but it is failing the deploy on Netlify. The error I'm getting is: "build.command" failed - Command was killed with...

How to combine several exports inside one module (module.exports) inside next.config.js file?

When I add "next-videos" loader to the next.config.js it works perfectly as long as module.exports goes the last one: module.exports = withVideos() On the other hand, it breaks another instance...

ESLint in React: Parsing error: Unexpected token =

I'm getting this error: error Generating development JavaScript bundle failed 92:7 error Parsing error: Unexpected token = I am using gatsby & a custom eslintrc: { "parser":...

ESLint complaining about empty constructor and ngOnInit-implementation

In my Angular application, the rule no-empty-function, triggered an error for my constructor. Well, it is indeed an empty body there but the constructor itself needs to be there, because I inject...

How can I mount Angular Component in Cypress Component Test Runner

I tried to mount an Angular Component in my newly setup Cypress Component Test Runner Environment in Angular like so: import { ɵrenderComponent as renderComponent, ɵcompileComponent as...

use prettier to resolve no-duplicate-imports eslint error

eslint has no-duplicate-imports https://eslint.org/docs/rules/no-duplicate-imports which shows error or warning for importing multiple modules from same path duplicate lines. ie. import {...

Vuetify SassError Expected identifier. .v-application .orange.#f77925{

I am trying to manage sass variables of vuetify theme, according to doc here: https://vuetifyjs.com/en/features/sass-variables/ Here is package.json { "scripts": { ... }, "dependencies":...

eslint / typescript: Unable to resolve path to module

My .eslintrc.json is: { "env": { "browser": true, "commonjs": true, "es6": true, "node": true, "jest": true }, "parserOptions": { ...

error - ESLint must be installed: yarn add --dev eslint

I just created a new project using npx [email protected] --ts And when I run npm run lint I got the error: next lint info - Using webpack 5. Reason: Enabled by default...

Error when deploying react app and it keeps sayings << Plugin "react" was conflicted between "package.json » eslint-config-react-app » >>

I have been having a little bit of issues when deploying my create react app, as it fails to compile and tells me Plugin "react" was conflicted between "package.json » eslint-config-react-app...

TypeError: MiniCssExtractPlugin is not a constructor

[webpack-cli] TypeError: MiniCssExtractPlugin is not a constructor at module.exports (/home/andrey/smartadmin-app/webpack.config.js:70:9) at loadConfigByPath...

Task :app:mergeDebugAssets FAILED when I try to run npx react-native run-android

I'm working on an android app on react-native using vscode and a physical android device and it keeps showing the error below while trying to build using npx react-native run-android. Task...